# Uses of Class
javajs.util.CifDataParser

Packages that use CifDataParser
Package
Description
javajs.util
org.jmol.adapter.readers.cif

## Uses of CifDataParser in javajs.util

Methods in javajs.util that return CifDataParser
Modifier and Type
Method
Description
`CifDataParser`
CifDataParser.`set(GenericLineReader reader, BufferedReader br, boolean debugging)`
A Chemical Information File data parser.

## Uses of CifDataParser in org.jmol.adapter.readers.cif

Subclasses of CifDataParser in org.jmol.adapter.readers.cif
Modifier and Type
Class
Description
`class`
`Cif2DataParser`
Fully implemented 2016.12.1 see http://journals.iucr.org/j/issues/2016/01/00/aj5269/index.html Will deliver JSON versions of the data while file reading and Java List/Map structures when called by x = getProperty("cifInfo", filename) Validated using the test-data suite by John Bollinger (John.Bollinger@stjude.org) found at https://github.com/COMCIFS/cif_api